VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "CallbackTemplateClass"
Attribute VB_Creatable = False
Attribute VB_Exposed = True

Option Explicit
'================================================================================================
'Template OLE CSG callback class.
'
'This file can be used as the basis for creating a callback class for
'client applications that utilize the OLE CSG. Declarations are
'included for all reply types.  The CSG will call back to the method
'corresponding to the request type:
'
'     Request           Reply Method Called by CSG
'===================================================
'     SSGSend SSGReply
'     SSGSendPrivate SSGReplyPrivate
'     SSGSendShare SSGReplyShare
'     SSGSendStatus SSGReplyStatus
'     SSGSendListdev SSGReplyListdev
'     SRVSend SRVReply
'     CSGSend CSGReply
'
'
'Note that it is only necessary to declare callback methods
'corresponding to the requests used by the client.  For example, if the
'client never makes an SSGSend request, there is no need to build or
'declare an SSGReply method.  However, templates for all possible
'callbacks are included here for completeness.
'
'THIS CSG OLE INTERFACE CLASS SHOULD NOT BE INSTANTIATED DIRECTLY BY
'THE CLIENT APPLICATION. IT IS INCLUDED HERE FOR DOCUMENTATION PURPOSES
'ONLY.  CLIENT APPLICATIONS MUST DECLARE THEIR OWN CALLBACK CLASS, AND
'INCLUDE IN IT THE NECESSARY CALLBACK METHODS AS DESCRIBED ABOVE. '
'
'================================================================================================

'----------------------------------------------------------------------------
'
'----------------------------------------------------------------------------
Private Sub Class_Initialize()
   
End Sub  'Class_Initialize

'----------------------------------------------------------------------------
'
'----------------------------------------------------------------------------
Public Sub SSGReply(Status As Integer, SubStatus As Integer, _
                    Reply As String, _
                    Pathmon As String, _
                    Server As String, _
                    ClientContext As String)

End Sub  'SSGReply

'----------------------------------------------------------------------------
'
'----------------------------------------------------------------------------
Public Sub SSGReplyPrivate(Status As Integer, SubStatus As Integer, _
                           CI As String, _
                           Reply As String, _
                           CacheIndex As String, _
                           Tag As String, _
                           Term As String, _
                           Pathmon As String, _
                           Server As String, _
                           ClientContext As String)

End Sub  'SSGReplyPrivate

'----------------------------------------------------------------------------
'
'----------------------------------------------------------------------------
Public Sub SSGReplyShare(Status As Integer, SubStatus As Integer, _
                         CI As String, _
                         Reply As String, _
                         AgeGen As String, _
                         CacheIndex As String, _
                         Tag As String, _
                         Term As String, _
                         Pathmon As String, _
                         Server As String, _
                         ClientContext As String)
End Sub  'SSGReplyShare

'----------------------------------------------------------------------------
'
'----------------------------------------------------------------------------
Public Sub SSGReplyStatus(Status As Integer, SubStatus As Integer, _
                          Reply As String, _
                          Pathmon As String, _
                          Server As String, _
                          ClientContext As String)

End Sub  'SSGReplyStatus

'----------------------------------------------------------------------------
'
'----------------------------------------------------------------------------
Public Sub SSGReplyListdev(Status As Integer, SubStatus As Integer, _
                           Reply As String, _
                           CacheIndex As String, _
                           Tag As String, _
                           Term As String, _
                           Pathmon As String, _
                           Server As String, _
                           ClientContext As String)

End Sub  'SSGReplyListdev

'----------------------------------------------------------------------------
'
'----------------------------------------------------------------------------
Public Sub SRVReply(Status As Integer, SubStatus As Integer, _
                    Reply As String, _
                    Pathmon As String, _
                    Server As String, _
                    ClientContext As String)

End Sub  'SRVReply
               
'----------------------------------------------------------------------------
'
'----------------------------------------------------------------------------
Public Sub CSGReply(Status As Integer, SubStatus As Integer, _
                    Reply As String, _
                    ClientContext As String)

End Sub  'CSGReply

